Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
proxy
/
account-abstraction
/
operations
List of recent user operations
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/proxy/account-abstraction/operations \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "address": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "block_number": "<string>",
      "entry_point": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "fee": "<string>",
      "hash": "<string>",
      "status": true,
      "timestamp": "2023-11-07T05:31:56Z",
      "transaction_hash": "<string>"
    }
  ],
  "next_page_params": {
    "page_size": 50,
    "page_token": "3937439,0xbb680271614883525ac8056c388489e80b3518ec12ec46e1b910c7238c46b565"
  }
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Query Parameters

sender
string

User operation sender address hash

Pattern: ^0x([A-Fa-f0-9]{40})$
bundler
string

User operation bundler address hash

Pattern: ^0x([A-Fa-f0-9]{40})$
paymaster
string

User operation paymaster address hash

Pattern: ^0x([A-Fa-f0-9]{40})$
factory
string

User operation factory address hash

Pattern: ^0x([A-Fa-f0-9]{40})$
transaction_hash
string

Transaction hash in the query

Pattern: ^0x([A-Fa-f0-9]{64})$
entry_point
string

User operation entry point address hash

Pattern: ^0x([A-Fa-f0-9]{40})$
bundle_index
integer

User operation bundle index

Required range: x >= 0
block_number
integer

User operation block number

Required range: x >= 0
items_count
integer

Number of items per page

Required range: x >= 1
page_size
integer

Number of items returned per page

Required range: 1 <= x <= 50
page_token
string

Page token for paging

Response

List of user operations with pagination.

items
UserOperationInList · object[]
required
next_page_params
object
required
Example:
{
  "page_size": 50,
  "page_token": "3937439,0xbb680271614883525ac8056c388489e80b3518ec12ec46e1b910c7238c46b565"
}